SDL_CreateTexture(3)

NAME
SDL_CreateTexture - Create a texture for a rendering context.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_Texture* SDL_CreateTexture(SDL_Renderer *renderer, SDL_PixelFormatEnum format, int access, int w, int h);

FUNCTION PARAMETERS

renderer
    the rendering context

format
    one of the enumerated values in SDL_PixelFormatEnum

access
    one of the enumerated values in SDL_TextureAccess

w   the width of the texture in pixels

h   the height of the texture in pixels

RETURN VALUE
Returns a pointer to the created texture or NULL if no rendering context was active, the format was unsupported, or the width or height were out of range; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_CreateTextureFromSurface(3), SDL_CreateTextureWithProperties(3), SDL_DestroyTexture(3), SDL_QueryTexture(3), SDL_UpdateTexture(3)